> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom fields

> Return a paginated list of custom field definitions for your company. Defaults to ACTIVE fields when no status filter is supplied.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /custom-fields
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /custom-fields:
    get:
      tags:
        - CustomFields
      summary: List custom fields
      description: >-
        Return a paginated list of custom field definitions for your company.
        Defaults to ACTIVE fields when no status filter is supplied.
      operationId: listCustomFields
      parameters:
        - name: status
          required: false
          in: query
          style: deepObject
          explode: true
          schema:
            type: object
          description: >-
            Filter by status, e.g.
            status[operationType]=INCLUDE&status[values][]=ACTIVE
        - name: fieldType
          required: false
          in: query
          style: deepObject
          explode: true
          schema:
            type: object
          description: >-
            Filter by field type, e.g.
            fieldType[operationType]=INCLUDE&fieldType[values][]=TEXT
        - name: applyTo
          required: false
          in: query
          style: deepObject
          explode: true
          schema:
            type: object
          description: >-
            Filter by target entity type, e.g.
            applyTo[operationType]=INCLUDE&applyTo[values][]=DEVICE&applyTo[values][]=EMPLOYEE
        - name: searchTerm
          required: false
          in: query
          description: Filter custom fields by label
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: Number of items per page (default 50, max 200)
          schema:
            type: number
        - name: page
          required: false
          in: query
          description: Page number (default 1)
          schema:
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomFieldsResponse_Output'
components:
  schemas:
    ListCustomFieldsResponse_Output:
      type: object
      properties:
        total:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        list:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              companyId:
                type: string
              label:
                type: string
              fieldType:
                type: string
                enum:
                  - SELECT
                  - MULTI_SELECT
                  - CHECKBOX
                  - TEXT
                  - DATE
                  - NUMBER
                  - URL
              applyTo:
                type: array
                items:
                  type: string
                  enum:
                    - DEVICE
                    - ACCESSORY
                    - EMPLOYEE
                    - ORDER
              status:
                type: string
                enum:
                  - ACTIVE
                  - ARCHIVED
              options:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      pattern: >-
                        ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                    value:
                      type: string
                  required:
                    - id
                    - value
                  additionalProperties: false
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
              updatedAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
            required:
              - id
              - companyId
              - label
              - fieldType
              - applyTo
              - status
              - options
              - createdAt
              - updatedAt
            additionalProperties: false
      required:
        - total
        - list
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````